import java.sql.*;
import javax.sql.*;
import org.dbunit.*;
import org.dbunit.database.*;
import org.dbunit.dataset.*;
import org.dbunit.dataset.xml.*;
import org.springframework.context.support.*;

public class DBTestBase extends DatabaseTestCase {

  // Springp̒`t@C
  protected static final String CONTEXT_FILE = "./applicationContext.xml";
  // CONTEXT_FILEŎw肵DataSourceBean
  protected static final String DATASOURCE = "dataSource";
  // dbUnitp̃eXgf[^`t@C
  protected static String testdataFile;
    
  protected ClassPathXmlApplicationContext ctx;

  // eXgOɎs郁\bhI[o[Ch
  protected void setUp() throws Exception {
    ctx = new ClassPathXmlApplicationContext(CONTEXT_FILE); 
    super.setUp();  // X[p[NX̃\bhĂяo
  }

  // eXgɎs郁\bhI[o[Chi͉Ȃj
  protected void tearDown() throws Exception {
    super.tearDown();  // Xp[NX̃\bhĂяo
  }
        
  // DataBaseTestCaseabstract\bh`
  //   DatabaseConnectioñCX^Xm点
  protected IDatabaseConnection getConnection() throws Exception {
    DataSource dataSource = (DataSource)ctx.getBean(DATASOURCE);
    Connection conn = dataSource.getConnection();
    return new DatabaseConnection(conn);
  }

  //   eXgf[^pDataset̃CX^Xm点
  protected IDataSet getDataSet() throws Exception {
      return new FlatXmlDataSet(
                         getClass().getResourceAsStream(testdataFile));
  }
  
  public void testDummy() throws Exception {
    String dumy="dumy";
    assertEquals("dumy",dumy);
  }
}
