import ac.hiu.kt.tosho.dao.*;
import ac.hiu.kt.tosho.model.*;

public class ReturnBookDaoTest extends DBTestBase {
  // eXgOɎs郁\bhI[o[Ch
  protected void setUp() throws Exception {
    testdataFile="./testdata.xml";
    super.setUp();  // X[p[NX̃\bhĂяo
  }

  // updateBookStatus\bh̃eXg
  public void testUpdateBookStatus() throws Exception {
    String status;
    // DAOBeanSpring`t@C瓾
    BookInfoDao bookInfoDao = (BookInfoDao)ctx.getBean("bookInfoDao");
    // O
    status = bookInfoDao.findBookStatus("039911174");
    assertEquals("rented",status);
    // f[^x[XANZX
    bookInfoDao.updateBookStatus("039911174","rentable");
    // 
    status = bookInfoDao.findBookStatus("039911174");
    assertEquals("rentable",status);
  }

  // deleteRentDetail\bh̃eXg
  public void testDeleteResultDetail() throws Exception {
    RentInfoDetail detail;
    // DAOBeanSpring`t@C瓾
    RentInfoDao rentInfoDao = (RentInfoDao)ctx.getBean("rentInfoDao");
    // O
    detail = rentInfoDao.findRentInfoDetail("039911175");
    assertEquals("039911175",detail.getBookId());
    // f[^x[XANZX
    rentInfoDao.deleteRentDetail("039911175");
    // 
    detail = rentInfoDao.findRentInfoDetail("039911175");
    assertEquals(null,detail);
  }

  // findBookInfo\bh̃eXg
  public void testFindBookInfo() throws Exception {
    Book book;
    // DAOBeanSpring`t@C瓾
    BookInfoDao bookInfoDao = (BookInfoDao)ctx.getBean("bookInfoDao");
    // OiȂj:f[^Zbg̏ŏ
    // f[^x[XANZX
    book = bookInfoDao.findBookInfo("039911175");
    // 
    assertEquals("039911175",book.getId());
    assertEquals("Light Weight Java",book.getTitle());
  }

  // findBookPosition\bh̃eXg
  public void testFindBookPosition() throws Exception {
    BookPosition position;
    // DAOBeanSpring`t@C瓾
    BookInfoDao bookInfoDao = (BookInfoDao)ctx.getBean("bookInfoDao");
    // OiȂj:f[^Zbg̏ŏ
    // f[^x[XANZX
    position = bookInfoDao.findBookPosition("039911174");
    // 
    assertEquals(35,position.getShelfNuber());
    assertEquals(4,position.getRowNumber());
  }
}
