package ac.hiu.kt.bgame.model;

import java.util.*;
import ac.hiu.kt.bgame.dao.*;

public class ShowResultHandlerImple  implements ShowResultHandler {
  private TaikaiDao taikaiDao;
  private TeamDao teamDao; 
  private GameDao gameDao;
      
  public void setTaikaiDao(TaikaiDao dao) {this.taikaiDao=dao;}
  public void setTeamDao(TeamDao dao) {this.teamDao=dao;}
  public void setGameDao(GameDao dao) {this.gameDao=dao; }

  public List getTaikais() {
    return taikaiDao.findTaikai();
  }

  public List getResults(int taikaiId) {
    List games=gameDao.findFinishedGame(taikaiId);
    // `[t
    for (int i=0;i<games.size();i++) {
      Game game=(Game)games.get(i);
      // team1
      int teamNo=game.getTeam1No();
      String name=teamDao.findTeamName(taikaiId, teamNo);
      if (name==null) {
        name="no name";
      }
      game.setTeam1Name(name);
      // team2
      teamNo=game.getTeam2No();
      name=teamDao.findTeamName(taikaiId, teamNo);
      if (name==null) {
        name="no name";
      }
      game.setTeam2Name(name);
    }
    return games; 
  }
}
